Index: sansmodels/src/libigor/libCylinder.c
===================================================================
--- sansmodels/src/libigor/libCylinder.c	(revision 8e91f01e64a5994e9308c38bccb548b77ea00bed)
+++ sansmodels/src/libigor/libCylinder.c	(revision 96b593847bbd8eb6072269e750a93261a4f743b3)
@@ -972,5 +972,5 @@
 
 	Euler = 0.5772156649;		// Euler's constant
-	dQDefault = 0.0025;		//[=] 1/A, q-resolution, default value
+	dQDefault = 0; //0.0025;		//[=] 1/A, q-resolution, default value
 	dQ = dQDefault;
 
Index: sansmodels/src/sans/models/c_extensions/lamellarPS.h
===================================================================
--- sansmodels/src/sans/models/c_extensions/lamellarPS.h	(revision b4679dee5e210d6a4a960aa3eada337f6dbac554)
+++ sansmodels/src/sans/models/c_extensions/lamellarPS.h	(revision 96b593847bbd8eb6072269e750a93261a4f743b3)
@@ -8,10 +8,12 @@
  * [PYTHONCLASS] = LamellarPSModel
  * [DISP_PARAMS] = spacing
-   [DESCRIPTION] = <text>Calculates the scattered intensity from a lyotropic lamellar phase.
-	   The intensity (form factor and structure factor)
-		calculated is for lamellae of uniform scattering
-		length density that are randomly distributed in
-		solution (a powder average). The lamellae
-		thickness is polydisperse. The model can also
+   [DESCRIPTION] = <text>[Concentrated Lamellar Form Factor] Calculates the scattered
+	   intensity from a lyotropic lamellar phase.
+	   The intensity (form factor and structure
+	   factor)calculated is for lamellae of
+	   uniform scattering length density that
+	   are randomly distributed in solution
+	   (a powder average). The lamellae thickness
+		is polydisperse. The model can also
 		be applied to large, multi-lamellar vesicles.
 		No resolution smeared version is included
@@ -26,5 +28,5 @@
 		scale = scale factor
 </text>
-   [FIXED]= spacing.with
+   [FIXED]= spacing.width
    [ORIENTATION_PARAMS]=
 
Index: sansmodels/src/sans/models/c_extensions/lamellarPS_HG.c
===================================================================
--- sansmodels/src/sans/models/c_extensions/lamellarPS_HG.c	(revision 27a0771a6ddbafb74959fa451e80b17dcd5ca5ed)
+++ sansmodels/src/sans/models/c_extensions/lamellarPS_HG.c	(revision 96b593847bbd8eb6072269e750a93261a4f743b3)
@@ -19,5 +19,5 @@
 double lamellarPS_HG_analytical_1D(LamellarPSHGParameters *pars, double q) {
 	double dp[10];
-	
+
 	// Fill paramater array
 	dp[0] = pars->scale;
@@ -33,5 +33,5 @@
 
 	// Call library function to evaluate model
-	return LamellarPS_HG(dp, q);	
+	return LamellarPS_HG(dp, q);
 }
 /**
@@ -42,8 +42,6 @@
  */
 double lamellarPS_HG_analytical_2DXY(LamellarPSHGParameters *pars, double qx, double qy) {
-	double q;
-	q = sqrt(qx*qx+qy*qy);
-    return lamellarPS_HG_analytical_2D_scaled(pars, q, qx/q, qy/q);
-} 
+    return lamellarPS_HG_analytical_1D(pars, sqrt(qx*qx+qy*qy));
+}
 
 
@@ -56,18 +54,5 @@
  */
 double lamellarPS_HG_analytical_2D(LamellarPSHGParameters *pars, double q, double phi) {
-    return lamellarPS_HG_analytical_2D_scaled(pars, q, cos(phi), sin(phi));
-} 
-        
-/**
- * Function to evaluate 2D scattering function
- * @param pars: parameters of the lamellar
- * @param q: q-value
- * @param q_x: q_x / q
- * @param q_y: q_y / q
- * @return: function value
- */
-double lamellarPS_HG_analytical_2D_scaled(LamellarPSHGParameters *pars, double q, double q_x, double q_y) {
-	return 1.0;
+    return lamellarPS_HG_analytical_1D(pars, q);
 }
-    
 
Index: sansmodels/src/sans/models/c_extensions/lamellarPS_HG.h
===================================================================
--- sansmodels/src/sans/models/c_extensions/lamellarPS_HG.h	(revision 27a0771a6ddbafb74959fa451e80b17dcd5ca5ed)
+++ sansmodels/src/sans/models/c_extensions/lamellarPS_HG.h	(revision 96b593847bbd8eb6072269e750a93261a4f743b3)
@@ -7,8 +7,27 @@
 /** Structure definition for concentrated lamellar form factor parameters
  * [PYTHONCLASS] = LamellarPSHGModel
- * [DISP_PARAMS] = deltaT,deltaH
-   [DESCRIPTION] = <text> Calculates the scattered intensity from a concentrated lamellar phase</text>
-   [FIXED]= deltaT.with;deltaH.with
-   [ORIENTATION_PARAMS]= 
+ * [DISP_PARAMS] = deltaT,deltaH,spacing
+   [DESCRIPTION] = <text>[Concentrated Lamellar (head+tail) Form Factor]: Calculates the
+	   intensity from a lyotropic lamellar phase.
+	   The intensity (form factor and structure factor)
+		calculated is for lamellae of two-layer scattering
+		length density that are randomly distributed in
+		solution (a powder average). The scattering
+		length density of the tail region, headgroup
+		region, and solvent are taken to be different.
+		The model can also be applied to large,
+		multi-lamellar vesicles.
+		No resolution smeared version is included
+		in the structure factor of this model.
+		*Parameters: spacing = repeat spacing,
+		deltaT = tail length,
+		deltaH = headgroup thickness,
+		n_plates = # of Lamellar plates
+		caille = Caille parameter (<0.8 or <1)
+		background = incoherent bgd
+		scale = scale factor ...
+</text>
+   [FIXED]= deltaT.width;deltaH.width;spacing.width
+   [ORIENTATION_PARAMS]=
 
  **/
@@ -27,5 +46,5 @@
     double deltaH;
     /// scattering density length of tails [1/A²]
-    //  [DEFAULT]=sld_tail=4e-7 [1/A²]
+    //  [DEFAULT]=sld_tail=0.4e-6 [1/A²]
     double sld_tail;
 	/// scattering density length of head [1/A²]
@@ -41,8 +60,8 @@
     //  [DEFAULT]=caille=0.001
     double caille;
-	/// Incoherent Background [1/cm] 
+	/// Incoherent Background [1/cm]
 	//  [DEFAULT]=background=0.001 [1/cm]
 	double background;
-   
+
 } LamellarPSHGParameters;
 
@@ -55,5 +74,4 @@
 double lamellarPS_HG_analytical_2D(LamellarPSHGParameters *pars, double q, double phi);
 double lamellarPS_HG_analytical_2DXY(LamellarPSHGParameters *pars, double qx, double qy);
-double lamellarPS_HG_analytical_2D_scaled(LamellarPSHGParameters *pars, double q, double q_x, double q_y);
 
 #endif
Index: sansmodels/src/sans/models/c_extensions/oblate.c
===================================================================
--- sansmodels/src/sans/models/c_extensions/oblate.c	(revision 27a0771a6ddbafb74959fa451e80b17dcd5ca5ed)
+++ sansmodels/src/sans/models/c_extensions/oblate.c	(revision 96b593847bbd8eb6072269e750a93261a4f743b3)
@@ -1,4 +1,4 @@
 /**
- * Scattering model for a oblate
+ * Scattering model for a oblate core shell
  * @author: Gervaise B Alina/ UTK
  */
@@ -18,6 +18,6 @@
  */
 double oblate_analytical_1D(OblateParameters *pars, double q) {
-	double dp[10];
-	
+	double dp[8];
+
 	// Fill paramater array
 	dp[0] = pars->scale;
@@ -29,9 +29,7 @@
 	dp[6] = pars->sld_solvent;
 	dp[7] = pars->background;
-	dp[8] = pars->axis_theta;
-	dp[9] = pars->axis_phi;
-	
+
 	// Call library function to evaluate model
-	return OblateForm(dp, q);	
+	return OblateForm(dp, q);
 }
 
@@ -45,6 +43,6 @@
 	double q;
 	q = sqrt(qx*qx+qy*qy);
-    return oblate_analytical_2D_scaled(pars, q, qx/q, qy/q);
-} 
+    return oblate_analytical_1D(pars, q);
+}
 
 
@@ -57,7 +55,7 @@
  */
 double oblate_analytical_2D(OblateParameters *pars, double q, double phi) {
-    return oblate_analytical_2D_scaled(pars, q, cos(phi), sin(phi));
-} 
-        
+    return oblate_analytical_1D(pars, q);
+}
+
 /**
  * Function to evaluate 2D scattering function
@@ -68,7 +66,8 @@
  * @return: function value
  */
+/*
 double oblate_analytical_2D_scaled(OblateParameters *pars, double q, double q_x, double q_y) {
-	
+
 	return 1.0;
 }
-    
+*/
Index: sansmodels/src/sans/models/c_extensions/oblate.h
===================================================================
--- sansmodels/src/sans/models/c_extensions/oblate.h	(revision 27a0771a6ddbafb74959fa451e80b17dcd5ca5ed)
+++ sansmodels/src/sans/models/c_extensions/oblate.h	(revision 96b593847bbd8eb6072269e750a93261a4f743b3)
@@ -3,11 +3,26 @@
 /** Structure definition for oblate parameters
  * [PYTHONCLASS] = OblateModel
- * [DISP_PARAMS] = major_core, minor_core, major_shell,minor_shell, axis_theta, axis_phi
-   [DESCRIPTION] = <text> Calculates the form factor for an oblate ellipsoid particle with a core/shell structure.
-			Note:It is the users' responsibility to ensure that shell radii are larger than core radii, and
-					that major radii are larger than minor radii.</text>
+ * [DISP_PARAMS] = major_core, minor_core, major_shell,minor_shell
+   [DESCRIPTION] = <text>[OblateCoreShellModel] Calculates the form factor for an oblate
+			ellipsoid particle with a core_shell structure.
+			The form factor is averaged over all possible
+			orientations of the ellipsoid such that P(q)
+			= scale*<f^2>/Vol + bkg, where f is the
+			single particle scattering amplitude.
+			[Parameters]:
+			major_core = radius of major_core,
+			minor_core = radius of minor_core,
+			major_shell = radius of major_shell,
+			minor_shell = radius of minor_shell,
+			contrast = SLD_core - SLD_shell
+			sld_solvent = SLD_solvent
+			background = Incoherent bkg
+			scale =scale
+			Note:It is the users' responsibility to ensure
+			that shell radii are larger than core radii.
+			</text>
 
-   [FIXED] = <text>axis_phi.width; axis_theta.width; major_core.width;minor_core.width; major_shell; minor_shell</text>
-   [ORIENTATION_PARAMS] = <text>axis_phi; axis_theta; axis_phi.width; axis_theta.width</text>
+   [FIXED] = <text>major_core.width;minor_core.width; major_shell.width; minor_shell.width</text>
+   [ORIENTATION_PARAMS] =
 
  **/
@@ -37,4 +52,5 @@
 	//  [DEFAULT]=background=0.001 [1/cm]
 	double background;
+	/*//Disable for now
     /// Orientation of the oblate axis w/respect incoming beam [rad]
     //  [DEFAULT]=axis_theta=1.0 [rad]
@@ -43,5 +59,5 @@
     //  [DEFAULT]=axis_phi=1.0 [rad]
     double axis_phi;
-
+	*/
 } OblateParameters;
 
@@ -54,5 +70,5 @@
 double oblate_analytical_2D(OblateParameters *pars, double q, double phi);
 double oblate_analytical_2DXY(OblateParameters *pars, double qx, double qy);
-double oblate_analytical_2D_scaled(OblateParameters *pars, double q, double q_x, double q_y);
+//double oblate_analytical_2D_scaled(OblateParameters *pars, double q, double q_x, double q_y);
 
 #endif
Index: sansmodels/src/sans/models/c_models/CLamellarPSHGModel.cpp
===================================================================
--- sansmodels/src/sans/models/c_models/CLamellarPSHGModel.cpp	(revision 27a0771a6ddbafb74959fa451e80b17dcd5ca5ed)
+++ sansmodels/src/sans/models/c_models/CLamellarPSHGModel.cpp	(revision 96b593847bbd8eb6072269e750a93261a4f743b3)
@@ -102,4 +102,7 @@
         self->model->deltaH.dispersion->accept_as_source(visitor, self->model->deltaH.dispersion, disp_dict);
         PyDict_SetItemString(self->dispersion, "deltaH", disp_dict);
+        disp_dict = PyDict_New();
+        self->model->spacing.dispersion->accept_as_source(visitor, self->model->spacing.dispersion, disp_dict);
+        PyDict_SetItemString(self->dispersion, "spacing", disp_dict);
 
 
@@ -171,4 +174,6 @@
     disp_dict = PyDict_GetItemString(self->dispersion, "deltaH");
     self->model->deltaH.dispersion->accept_as_destination(visitor, self->model->deltaH.dispersion, disp_dict);
+    disp_dict = PyDict_GetItemString(self->dispersion, "spacing");
+    self->model->spacing.dispersion->accept_as_destination(visitor, self->model->spacing.dispersion, disp_dict);
 
 	
@@ -239,4 +244,6 @@
     disp_dict = PyDict_GetItemString(self->dispersion, "deltaH");
     self->model->deltaH.dispersion->accept_as_destination(visitor, self->model->deltaH.dispersion, disp_dict);
+    disp_dict = PyDict_GetItemString(self->dispersion, "spacing");
+    self->model->spacing.dispersion->accept_as_destination(visitor, self->model->spacing.dispersion, disp_dict);
 
 	
@@ -298,4 +305,6 @@
     } else    if (!strcmp(par_name, "deltaH")) {
         self->model->deltaH.dispersion = dispersion;
+    } else    if (!strcmp(par_name, "spacing")) {
+        self->model->spacing.dispersion = dispersion;
     } else {
 	    PyErr_SetString(CLamellarPSHGModelError,
Index: sansmodels/src/sans/models/c_models/lamellarPS_HG.cpp
===================================================================
--- sansmodels/src/sans/models/c_models/lamellarPS_HG.cpp	(revision 27a0771a6ddbafb74959fa451e80b17dcd5ca5ed)
+++ sansmodels/src/sans/models/c_models/lamellarPS_HG.cpp	(revision 96b593847bbd8eb6072269e750a93261a4f743b3)
@@ -35,5 +35,6 @@
 LamellarPSHGModel :: LamellarPSHGModel() {
 	scale      = Parameter(1.0);
-	spacing    = Parameter(40.0);
+	spacing    = Parameter(40.0, true);
+	spacing.set_min(0.0);
 	deltaT     = Parameter(10.0, true);
 	deltaT.set_min(0.0);
@@ -69,19 +70,23 @@
 	dp[7] = n_plates();
 	dp[8] = caille();
-	dp[9] = background();
-	
+	dp[9] = 0.0;
+
 
 	// Get the dispersion points for (deltaT) thickness of the tail
 	vector<WeightPoint> weights_deltaT;
 	deltaT.get_weights(weights_deltaT);
-	
+
 	// Get the dispersion points for (deltaH) thickness of the head
 	vector<WeightPoint> weights_deltaH;
 	deltaH.get_weights(weights_deltaH);
 
+	// Get the dispersion points for spacing
+	vector<WeightPoint> weights_spacing;
+	spacing.get_weights(weights_spacing);
+
 	// Perform the computation, with all weight points
 	double sum = 0.0;
 	double norm = 0.0;
-	
+
 	// Loop over deltaT  weight points
 	for(int i=0; i< (int)weights_deltaT.size(); i++) {
@@ -91,9 +96,13 @@
 		for(int j=0; j< (int)weights_deltaH.size(); j++) {
 			dp[3] = weights_deltaH[j].value;
+			// Loop over spacing weight points
+			for(int k=0; k< (int)weights_spacing.size(); k++) {
+				dp[1] = weights_spacing[k].value;
 
-			sum += weights_deltaT[i].weight * weights_deltaH[j].weight *LamellarPS_HG(dp, q);
-			norm += weights_deltaT[i].weight * weights_deltaH[j].weight;
+				sum += weights_deltaT[i].weight * weights_deltaH[j].weight *weights_spacing[k].weight
+								*LamellarPS_HG(dp, q);
+				norm += weights_deltaT[i].weight * weights_deltaH[j].weight * weights_spacing[k].weight;
+			}
 		}
-				
 	}
 	return sum/norm + background();
@@ -105,4 +114,21 @@
  * @return: function value
  */
+double LamellarPSHGModel :: operator()(double qx, double qy) {
+	double q = sqrt(qx*qx + qy*qy);
+	return (*this).operator()(q);
+}
+
+/**
+ * Function to evaluate 2D scattering function
+ * @param pars: parameters of the lamellarPS_HG
+ * @param q: q-value
+ * @param phi: angle phi
+ * @return: function value
+ */
+double LamellarPSHGModel :: evaluate_rphi(double q, double phi) {
+	return (*this).operator()(q);
+}
+
+/*
 double LamellarPSHGModel :: operator()(double qx, double qy) {
 	LamellarPSHGParameters dp;
@@ -118,5 +144,5 @@
 	dp.caille = caille();
 	dp.background    = background();
-	
+
 	// Get the dispersion points for the deltaT
 	vector<WeightPoint> weights_deltaT;
@@ -134,27 +160,16 @@
 	for(int i=0; i< (int)weights_deltaT.size(); i++) {
 		dp.deltaT = weights_deltaT[i].value;
-		
+
 		// Loop over deltaH weight points
 		for(int j=0; j< (int)weights_deltaH.size(); j++) {
 			dp.deltaH = weights_deltaH[j].value;
 
-			sum += weights_deltaT[i].weight *weights_deltaH[j].weight *lamellarPS_HG_analytical_2DXY(&dp, qx, qy);	
-			norm += weights_deltaT[i].weight * weights_deltaH[j].weight;	
+			sum += weights_deltaT[i].weight *weights_deltaH[j].weight *lamellarPS_HG_analytical_2DXY(&dp, qx, qy);
+			norm += weights_deltaT[i].weight * weights_deltaH[j].weight;
 		}
 	}
 	return sum/norm + background();
 }
+*/
 
 
-/**
- * Function to evaluate 2D scattering function
- * @param pars: parameters of the lamellar
- * @param q: q-value
- * @param phi: angle phi
- * @return: function value
- */
-double LamellarPSHGModel :: evaluate_rphi(double q, double phi) {
-	double qx = q*cos(phi);
-	double qy = q*sin(phi);
-	return (*this).operator()(qx, qy);
-}
Index: sansmodels/src/sans/models/c_models/oblate.cpp
===================================================================
--- sansmodels/src/sans/models/c_models/oblate.cpp	(revision 27a0771a6ddbafb74959fa451e80b17dcd5ca5ed)
+++ sansmodels/src/sans/models/c_models/oblate.cpp	(revision 96b593847bbd8eb6072269e750a93261a4f743b3)
@@ -45,6 +45,4 @@
 	sld_solvent = Parameter(6.3e-6);
 	background = Parameter(0.0);
-	axis_theta  = Parameter(0.0, true);
-	axis_phi    = Parameter(0.0, true);
 }
 
@@ -67,6 +65,6 @@
 	dp[5] = contrast();
 	dp[6] = sld_solvent();
-	dp[7] = background();
-	
+	dp[7] = 0.0;
+
 	// Get the dispersion points for the major core
 	vector<WeightPoint> weights_major_core;
@@ -106,7 +104,7 @@
 					dp[4] = weights_minor_shell[l].value;
 
-					sum += weights_major_core[i].weight* weights_minor_core[j].weight * weights_major_shell[k].weight 
+					sum += weights_major_core[i].weight* weights_minor_core[j].weight * weights_major_shell[k].weight
 						* weights_minor_shell[l].weight * OblateForm(dp, q);
-					norm += weights_major_core[i].weight* weights_minor_core[j].weight * weights_major_shell[k].weight 
+					norm += weights_major_core[i].weight* weights_minor_core[j].weight * weights_major_shell[k].weight
 							* weights_minor_shell[l].weight;
 				}
@@ -123,5 +121,25 @@
  * @return: function value
  */
+
 double OblateModel :: operator()(double qx, double qy) {
+	double q = sqrt(qx*qx + qy*qy);
+
+	return (*this).operator()(q);
+}
+
+
+/**
+ * Function to evaluate 2D scattering function
+ * @param pars: parameters of the oblate
+ * @param q: q-value
+ * @param phi: angle phi
+ * @return: function value
+ */
+double OblateModel :: evaluate_rphi(double q, double phi) {
+	return (*this).operator()(q);
+}
+
+/* disable below for now
+double OblateShellModel :: operator()(double qx, double qy) {
 	OblateParameters dp;
 	// Fill parameter array
@@ -215,15 +233,3 @@
 	return sum/norm + background();
 }
-
-/**
- * Function to evaluate 2D scattering function
- * @param pars: parameters of the oblate
- * @param q: q-value
- * @param phi: angle phi
- * @return: function value
- */
-double OblateModel :: evaluate_rphi(double q, double phi) {
-	double qx = q*cos(phi);
-	double qy = q*sin(phi);
-	return (*this).operator()(qx, qy);
-}
+*///
